<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>День 2</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
</head>

<body>



    <div id="databinding">
        <span style="font-size:25px;">EnterAge:</span>
        <input v-model.number="age" type="number">
        <span style="font-size:25px;">EnterMessage:</span>
        <input v-model.lazy="msg">
        <span style="font-size:25px;">EnterMessage: </span>
        <input v-model.trim="message">
        
        <div v-bind:style="styleobj" v-on:mouseover="changebgcolor" v-on:mouseout="originalcolor">
        </div>
        <script type="text/javascript">
            var vm = new Vue({
                el: '#databinding',
                data: {
                    num1: 100,
                    num2: 200,
                    total: '',
                    styleobj: {
                        width: "100px",
                        height: "100px",
                        backgroundColor: "red"
                    },
                    age:0,
                    msg:"",
                    message:""
                },
                methods: {
                    changebgcolor: function () {
                        this.styleobj.backgroundColor = "green";
                    },
                    originalcolor: function () {
                        this.styleobj.backgroundColor = "red";
                    }
                },
            });
        </script>
</body>